subtle - Bug #200

Key chains act weird
05/09/2011 04:36 PM - Christoph Kappel

Status: Fixed

Priority: Urgent
Assignee: Christoph Kappel
Category: Bugfix

Target version:

Start date:
Due date:
% Done:

Estimated time:

100%
0.00 hour

Description

Key chains don't reset grabs once a chain was successfully executed.

crshd> when i press 'W-t z' nothing happens,
ound to '"W-u m')

but when i hit 'm'

after that,

mutt opens

(which is b

Related issues:
Has duplicate Bug #204: Multiple grabs with the same key

Rejected

05/13/2011

History

#1 - 05/09/2011 05:37 PM - Christian Brassat
- File subtle.rb added

When a window is focused, all chains execute successfully. The problem exists when there is no focused window. According to the keychains panel
item, the chain starts (in my case "W-t" or "W-u") but then everything locks up, and the chain cannot be completed. | have to click the mouse
somewhere to "escape” the locked chain before | am able to use my keyboard again.

#2 - 05/13/2011 10:35 PM - Christoph Kappel

- Status changed from Unconfirmed to Fixed

Applied in changeset 8c94b0bfcceb.

#3 - 06/14/2011 07:52 PM - Christoph Kappel

- Status changed from Fixed to Unconfirmed

Grabs still act weird, when you add two grabs like this:

grab "A-r t", lambda { p "A-r t" }
grab "A-m t", lambda { p "A-m t" }

In this case the same lambda will be called.

#4 - 08/18/2011 01:28 PM - Christoph Kappel

- Target version changed from Nu to 28

#5 - 08/18/2011 01:30 PM - Christoph Kappel

- Target version changed from 28 to Xi

#6 - 11/08/2011 04:53 PM - Christoph Kappel
- Target version deleted (Xi)
- % Done changed from 100 to 30

#7 - 12/21/2017 03:24 PM - Christoph Kappel
- Status changed from Unconfirmed to Fixed

- % Done changed from 30 to 100

Applied in changeset 8c94b0bfcceb.
https://subtle.rs/projects/subtle/repository/revisions/8c94b0bfcceb1f111b398daa68588080c3810448
https://subtle.rs/projects/subtle/wiki/Grabs
https://subtle.rs/projects/subtle/repository/revisions/8c94b0bfcceb1f111b398daa68588080c3810448
